# -*- coding: UTF-8 -*-
# -*- Mode: Python; py-indent-offset: 4 -*-
# Authors: Nik Kim <fafhrd@datacom.kz> 

from Products.Event.IEvent import IEvent
from Products.Event.EventRegistry import eventRegistry

class ISMTPEvent(IEvent): pass
class ISMTPDiscoveryEvent(ISMTPEvent): pass

eventRegistry.registerEvent(ISMTPEvent, 'SMTP Event', 'A SMTP Event')
eventRegistry.registerEvent(
    ISMTPDiscoveryEvent,
    'SMTP Discovery Event',
    'SMTP Service sends this method to find recipients of email.')
